Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.util.spring
Class BeanPropertyTextAppender

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.util.spring.AbstractBeanPropertyProcessor
          com.jaspersoft.jasperserver.api.common.util.spring.BeanPropertyTextAppender

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

    public class BeanPropertyTextAppender

extends AbstractBeanPropertyProcessor

Version:
  $Id: BeanPropertyTextAppender.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`BeanPropertyTextAppender()`

Method Summary
`java.lang.String` | `getAppended()`
`protected java.lang.Object` | `getProcessedPropertyValue(java.lang.Object originalValue)`
`void` | `setAppended(java.lang.String appendedText)`

Methods inherited from class com.jaspersoft.jasperserver.api.common.util.spring.AbstractBeanPropertyProcessor
`getBeanName, getOrder, getPropertyName, postProcessBeanFactory, setBeanName, setOrder, setPropertyName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanPropertyTextAppender

    public BeanPropertyTextAppender()

Method Detail

### getProcessedPropertyValue

    protected java.lang.Object getProcessedPropertyValue(java.lang.Object originalValue)

  Specified by:
    `getProcessedPropertyValue` in class `AbstractBeanPropertyProcessor`

### getAppended

    public java.lang.String getAppended()

### setAppended

    public void setAppended(java.lang.String appendedText)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.